Package org.apache.sysds.hops.estim

## Class EstimationUtils

- java.lang.Object
- - org.apache.sysds.hops.estim.EstimationUtils

    public abstract class EstimationUtils
    extends Object

### Constructor Summary

Constructors
`EstimationUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static long` `getSelfProductOutputNnz​(MatrixBlock m1)` This utility function computes the exact output nnz of a self matrix product without need to materialize the output.
`static long` `getSparseProductOutputNnz​(MatrixBlock m1, MatrixBlock m2)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EstimationUtils

    public EstimationUtils()

### Method Detail

#### getSelfProductOutputNnz

    public static long getSelfProductOutputNnz​(MatrixBlock m1)

This utility function computes the exact output nnz of a self matrix product without need to materialize the output.

Parameters:
  `m1` - dense or sparse input matrix
Returns:
  exact output number of non-zeros.

#### getSparseProductOutputNnz

    public static long getSparseProductOutputNnz​(MatrixBlock m1,
                                                 MatrixBlock m2)